Subject: Agriculture-related revisions to ISDA documentation
From: [email-masked]
To: [email-masked], [email-masked], [email-masked], [email-masked]
Cc: [email-masked], [email-masked], [email-masked]
Date: Fri, 23 Mar 2001 09:12:00 -0800 (PST)

Please make a note of the meeting referenced above  it is scheduled for 
Thursday, March 29th, at 9:00 a.m. in Mark Taylor's office EB3892.

If the date and time are conflicting with your schedule, please let me know 
so that I can make the necessary adjustments.

Regards,
Mary Helen Martinez
EB3858C
ext. 5-2459